+

Fix Nagios mode return levels

Benjamin Renard [2015-01-26 09:12:28]
Fix Nagios mode return levels
Filename
check_rc_upgrade.sh
diff --git a/check_rc_upgrade.sh b/check_rc_upgrade.sh
index ff2cbdd..bf00c53 100755
--- a/check_rc_upgrade.sh
+++ b/check_rc_upgrade.sh
@@ -120,7 +120,7 @@ do
 		break;
 	elif [ $i -eq $MAX_CHECK ]
 	then
-		[ $NAGIOS -eq 1 ] && echo "WARNING : Fail to retrieve current stable version" && exit 1
+		[ $NAGIOS -eq 1 ] && echo "UNKNOWN : Fail to retrieve current stable version" && exit 1
 		error="Site du projet injoignable (ou structure du site modifie !!) => Impossible de recuperer le numero de la version stable actuel."
 		[ $DEBUG -eq 1 ] && echo $error
 		if [ -f $CACHE_FAILED ]
@@ -165,7 +165,7 @@ if [ "$newest" != "$current" ]
 then
 	if [ $NAGIOS -eq 1 ]
 	then
-		echo "CRITICAL : A newest version of Roundcube Webmail is available (newest : $newest / current : $current)"
+		echo "WARNING : A newest version of Roundcube Webmail is available (newest : $newest / current : $current)"
 		exit 2
 	fi
ViewGit